Subject: bug#1816 closed by Eli Zaretskii <[email-masked]> (Re: ^M in the info files)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 10 Jan 2009 11:25:08 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#876: 23.0.60; ^M in CC mode manual.

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
876: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=876
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: ^M in the info files
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 10 Jan 2009 13:15:51 +0200

> Date: Sat, 29 Nov 2008 00:39:27 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> > From: "Drew Adams" <[email-masked]>
> > Date: Fri, 28 Nov 2008 13:28:34 -0800
> > Cc: 'Juanma Barranquero' <[email-masked]>, [email-masked]
> > 
> > Whatever happened to this thread and the associated bugs: #876, #1117, #1284?
> > 
> > It sounds like there were alternative proposals about how to fix this, but there
> > was no discussion to try to reach a consensus or a decision. Is that where
> > things were left?
> > 
> > Meanwhile, it's still impossible to use the index in Info manuals on Windows,
> > and it's impossible to use some manuals (e.g. Viper) at all.
> 
> Don't worry, this will get fixed before Emacs 23 is ready for release.
> 
> I will work on it soon if no one beats me to it.

(Fore some value of "soon", sorry.)

I fixed this bug.

There were two suggestions for how to fix this: one by Handa-san in
this message:

  http://lists.gnu.org/archive/html/emacs-devel/2008-08/msg00293.html

followed by a tentative patch by Juanma here:

  http://lists.gnu.org/archive/html/emacs-devel/2008-08/msg00316.html

The other suggestion was by Stefan:

  http://lists.gnu.org/archive/html/emacs-devel/2008-08/msg00373.html

I decided I liked the first alternative better, since it has much
more local effect than the other one.  What Stefan suggested implied
messing with coding priorities, and I didn't feel that was TRT at this
late stage in Emacs 23.1 development.

The changes I installed are more thorough than what Juanma posted:
they change both detect_coding and detect_coding_system, and also bind
inhibit-null-byte-detection in a couple more places in info.el.

The result was tested on GNU/Linux, MS-Windows, and MS-DOS, both with
compressed and uncompressed Info files, with auto-compression-mode
both on and off.

Subject: 23.0.60; ^M in CC mode manual.
From: "Matzi Kratzi" <[email-masked]>
To: [email-masked]
Date: Wed, 7 Jan 2009 12:55:44 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

All (probably most) lines in the CC Mode info manual are ended with ^M.
I use a build from Lennart Borgman.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/Download/emacs-090104/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.0.2195)
 of 2009-01-04 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.0.2195
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/g/include -fno-crossjumping'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: SVE
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  which-function-mode: t
  show-paren-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-h i C-s l i b m <return> <return> SPC u u <up> <return>
SPC SPC SPC SPC u u u <up> <return> u <up> <up> <up>
<up> <up> <return> u C-s c c - m o <backspace> <backspace>
<backspace> SPC m o <backspace> <backspace> <backspace>
C-s M-< C-s C-s <return> <return> M-x c o m p <backspace>
<backspace> <backspace> <backspace> r e p o r t SPC
e m a SPC SPC <return>

Recent messages:
Info-extract-pointer: Node has no Up
uncompressing gv.info.gz...done
uncompressing gv.info.gz...done
uncompressing gv.info.gz...done
uncompressing cygwin-ug-net.info.gz...done
uncompressing cygwin-ug-net.info.gz...done
uncompressing cygwin-ug-net.info.gz...done
Mark saved where search started
Mark set
Mark saved where search started